<header
  [style]="
    !this.navigationService.showSearchNavigation
      ? 'border-bottom-left-radius: 8px; border-bottom-right-radius: 8px;'
      : ''
  "
>
  <app-logo
    (click)="this.navigationService.redirectToHome()"
    [ngStyle]="{ cursor: 'pointer' }"
  ></app-logo>

  <ng-container *ngIf="this.navigationService.showSearchNavigation">
    <app-input-search></app-input-search>

    <div class="button-container">
      <a
        *ngIf="isUserLogged | async as user; else auth_block"
        [title]="UI.txt_cabinet"
        [routerLink]="routes.PROFILE"
        rel="noreferrer"
      >
        <figure class="user-img_container">
          <img
            class="user-img"
            [src]="user.photoURL ? user.photoURL : 'assets/icons/user.png'"
            alt="User photo"
          />
        </figure>
      </a>
      <span
        class="material-icons logout-icon"
        *ngIf="isUserLogged | async"
        (click)="logOut()"
        [title]="UI.txt_logout"
        >logout</span
      >

      <ng-template #auth_block>
        <figure
          class="btn-google"
          [title]="UI.txt_login_via_google"
          (click)="googleLogin()"
        >
          <img
            src="assets/icons/google.png"
            alt="Google Icon"
            class="google-img"
          />
          <figcaption>{{ UI.txt_login_with }}</figcaption>
        </figure>
      </ng-template>
    </div>
  </ng-container>
</header>
